Subject: Re: [dns-dir] Short preliminary summary DNS-DIR @IETF80

From: Ralph Droms <[email-masked]>
Date: Wed, 11 May 2011 07:46:29 -0400

Following up on an old thread...

On Mar 31, 2011, at 8:38 AM 3/31/11, Lars-Johan Liman wrote:

> [email-masked]:
>> Dear DNS Directorate,
> 
> Thanks for these valuable notes, Peter!
> 
>> 1) early warning/dns radar
>>   The EW tool that scans I-Ds currently is suspended, there were concerns
>>   re: the volume of messages
>>   Finding WGs that make use of or think of making use of the DNS as a
>>   building block currently works on an ad-hoc basis, either by DNS Dir
>>   members attending WGs because of other duties, curiosity or
>>   occasionally by invitation of the relevant WG chairs or ADs.
>>   To improve this, we thought about recruiting "scouts" that would
>>    watch WGs to get back to the directorate or further review and
>>    response; to be continued
> 
> There are a few technologies that seem to be used in many places in the
> IETF. DNS is one of them, but there are a more (SNMP comes to mind) but
> not many. Would it be useful to try to put into the IETF WG framework an
> instruction to WG Chairs that "if any of your drafts/technologies intend
> to make use of any of technology XXXX, please notify this corresponding
> point of contact: YYYY", and produce a map with technologies and contact
> points. In the DNS case it could be "send a mail to DNSDIR".

DHCP is in this category.  There are still surprises when a draft using
DHCP gets to the IESG with no dhc WG review.  Perhaps a list of these
technologies with appropriate actions and contacts should be added to the
proto shepherd writeup template.
 
> 
>> 2) outreach
>>   The basic RFCs 1034/1035 are not covering enough of the DNS environment
>>   to understand the interdependencies of protocol, operations, roles
>>    and governance issues that frame the boundaries within which workable,
>>    scalable solutions may fit.  There are overview documents, including
>>    but not limited to, the more recent RFC 5507, 6055 and the current
>>    IAB I-D draft-iab-dns-applications-01.txt as well as the DNS tutorial
>>    (IETF Sunday tutorial program), but for more outreach it might be helpful
>>    to document more of the "unwritten rules" (to the extent they exist,
>>    i.e., basic assumption).
> 
> Good idea. Much work to be done in this field!
> 
>>    Other than that there are a couple of successful recent examples where
>>    addressing DNS issues within the WGs (list and/or meeting) has worked
>>    to get the direction right. There are also less successful examples,
>>    where the problems were identified and communicated (this may or may
>>    not include the suggestion of alternative approaches (to the extent
>>    they exist).
> 
> Well, much of what falls under these "unwritten rules" is in the field
> of operation, and while I strongly support more text in future RFCs that
> deal with the semantics of DNS, and operational requirements and
> motivations thereof, it believe there is merit in producing document(s)
> that collect the current wisdom. This may serve as input to zone owners
> who are procuring service, and don't know what to look for. I could even
> envisage two versions: the quick overview "for dummies guide", and the
> "gory detail" version for people to really want to learn and understand.
> 
>> 3) advise to the ADs
>>   As a first step we agreed to compile a short list of WGs we
>>   attended with DNS on their agenda/roadmap to identify those that
>>   might need more (and probably hiher) attention. Please stay tuned.
> 
> This might also serve as a reminder to us all which groups we _should_
> attend, and where documents with DNS contenct are likely to appear.

This list would be *very* useful.

- Ralph

> 
>> PS: these are not minutes but my personal summary; contributions and
>>    further discussion welcome (always with the caveat that this list
>>    is publicly archived)
> 
> But even as such they are much valuable to a reader who didn't attend.
> 
> 				Cheers,
> 				  /Liman
> _______________________________________________
> dns-dir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dns-dir

---

From: Ralph Droms <[email-masked]>
Date: Wed, 11 May 2011 11:08:20 -0400

On May 11, 2011, at 11:04 AM 5/11/11, Romascanu, Dan (Dan) wrote:

> 
> 
> 
>> -----Original Message-----
>> From: [email-masked] 
>> [mailto:[email-masked]] On Behalf Of Ralph Droms
> 
> ....
> 
>>> There are a few technologies that seem to be used in many places in 
>>> the IETF. DNS is one of them, but there are a more (SNMP comes to 
>>> mind) but not many. Would it be useful to try to put into 
>> the IETF WG 
>>> framework an instruction to WG Chairs that "if any of your 
>>> drafts/technologies intend to make use of any of technology XXXX, 
>>> please notify this corresponding point of contact: YYYY", 
>> and produce 
>>> a map with technologies and contact points. In the DNS case 
>> it could be "send a mail to DNSDIR".
>> 
>> DHCP is in this category.  There are still surprises when a 
>> draft using DHCP gets to the IESG with no dhc WG review.  
>> Perhaps a list of these technologies with appropriate actions 
>> and contacts should be added to the proto shepherd writeup template.
>> 
> 
> Hi, 
> 
> Actually (1.g) in the shepherd write-up includes the following: 
> 
>        Has the document
>        met all formal review criteria it needs to, such as the MIB
>        Doctor, media type and URI type reviews?
> 
> This could be modified / expanded to cover other areas: DNS and DHCP
> come to mind, but also XML-Dir, AAA and YANG doctors reviews. 
> 
> Regards,
> 
> Dan 

Excellent point ... perhaps expanded into a short bullet list with points-of-contact for each area?

- Ralph

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 11 May 2011 17:13:28 +0200

> From: Ralph Droms [mailto:[email-masked]] 
> Sent: Wednesday, May 11, 2011 6:08 PM
> To: Romascanu, Dan (Dan)
> Cc: IETF DNS Directorate
> Subject: Re: [dns-dir] Short preliminary summary DNS-DIR @IETF80
> 
> 
> >> DHCP is in this category.  There are still surprises when a draft 
> >> using DHCP gets to the IESG with no dhc WG review.
> >> Perhaps a list of these technologies with appropriate actions and 
> >> contacts should be added to the proto shepherd writeup template.
> >> 
> > 
> > Hi,
> > 

... adresses of the directorates / review teams

Should we draft such a list and put the proposal on the informal IESG
telechat agenda? 

Dan

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 11 May 2011 17:04:52 +0200

....

Hi, 

        Has the document

Regards,

Dan